Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class WindowAdapter

    java.lang.Object
      |
      +--java.awt.event.WindowAdapter

All Implemented Interfaces:
  EventListener, WindowListener

Direct Known Subclasses:
  BasicToolBarUI.FrameListener, JMenu.WinListener

public abstract class WindowAdapter
extends Object
implements WindowListener

An abstract adapter class for receiving window events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `WindowEvent` listener and override the methods for the events of interest. (If you implement the `WindowListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a Window using the window's `addWindowListener` method. When the window's status changes by virtue of being opened, closed, activated or deactivated, iconified or deiconified, the relevant method in the listener object is invoked, and the `WindowEvent` is passed to it.

Since:
  1.1
See Also:
  `WindowEvent`, `WindowListener`, Tutorial: Writing a Window Listener, Reference: The Java Class Libraries (update file)

Constructor Summary
`WindowAdapter()`

Method Summary
`void` | `windowActivated(WindowEvent e)` Invoked when a window is activated.
`void` | `windowClosed(WindowEvent e)` Invoked when a window has been closed.
`void` | `windowClosing(WindowEvent e)` Invoked when a window is in the process of being closed.
`void` | `windowDeactivated(WindowEvent e)` Invoked when a window is de-activated.
`void` | `windowDeiconified(WindowEvent e)` Invoked when a window is de-iconified.
`void` | `windowIconified(WindowEvent e)` Invoked when a window is iconified.
`void` | `windowOpened(WindowEvent e)` Invoked when a window has been opened.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowAdapter

    public WindowAdapter()

Method Detail

### windowOpened

    public void windowOpened(WindowEvent e)

  Invoked when a window has been opened.
  Specified by:
    `windowOpened` in interface `WindowListener`

### windowClosing

    public void windowClosing(WindowEvent e)

  Invoked when a window is in the process of being closed. The close operation can be overridden at this point.
  Specified by:
    `windowClosing` in interface `WindowListener`

### windowClosed

    public void windowClosed(WindowEvent e)

  Invoked when a window has been closed.
  Specified by:
    `windowClosed` in interface `WindowListener`

### windowIconified

    public void windowIconified(WindowEvent e)

  Invoked when a window is iconified.
  Specified by:
    `windowIconified` in interface `WindowListener`
  Following copied from interface: `java.awt.event.WindowListener`
  See Also:
    `Frame.setIconImage(java.awt.Image)`

### windowDeiconified

    public void windowDeiconified(WindowEvent e)

  Invoked when a window is de-iconified.
  Specified by:
    `windowDeiconified` in interface `WindowListener`

### windowActivated

    public void windowActivated(WindowEvent e)

  Invoked when a window is activated.
  Specified by:
    `windowActivated` in interface `WindowListener`

### windowDeactivated

    public void windowDeactivated(WindowEvent e)

  Invoked when a window is de-activated.
  Specified by:
    `windowDeactivated` in interface `WindowListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.